<?PHP
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];

include("../conex.php");

//*********************************************************************************************************
function subirArchivo($nombreArchivo,$ip_empresa,$emp,$sitio_empresa)
    {
	$handle = curl_init();
	curl_setopt($handle, CURLOPT_POST, true);
	//curl_setopt($handle, CURLOPT_POSTFIELDS, array('file' => '@'.$nombreArchivo));
	

curl_setopt($handle, CURLOPT_URL, 'http://'.$ip_empresa.'/'.$sitio_empresa.'/LibFE/firmarDTE/PreparaRecepComercial.php?documento='.$nombreArchivo);

	curl_exec($handle);
	curl_close($handle);
    }
	

/********************************** Datos Empresa ****************** seleccionar cual empresa  es el ingreso  en ssesion******/
	$sql_empresa = "SELECT * FROM empresa WHERE id=$id_empresa;";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$empresa_rut=mysql_result($res_empresa, $row, "rut_empresa");
			$empresa_rut = str_replace('.', '', $empresa_rut);
			
			$sitio_empresa=mysql_result($res_empresa, $row, "sitio_empresa");
        $ip_empresa=mysql_result($res_empresa, $row, "ip_empresa");		
			
		}

 //******************************  ACTUALIZA BASE DATOS ENTRADA  *********************************
$id_ent = $_POST["id_ent"];	
    $wsql = "UPDATE entrada SET recepcion_comercial='1' WHERE id=$id_ent";
//echo($wsql);
	mysql_query($wsql,$enlace); 
//************************************************************************************************
 $num_resp=$txtcorrelativo;
 

   // $fecha  viene de factura.php   $archivo_xml="../LibFE/DOC/ORIGINAL/".$nombre_xml;
   //     $nombre_xml viene de factura.php
 //**********************************************************************************************

   
//****  genera XML   LIBRO COMPRA*******

$xml=new DomDocument("1.0", "UTF-8");
 $raiz=$xml->createElement("Resultado");
 $raiz=$xml->appendChild($raiz); 
 $raiz->setAttribute("ID", "RECEP-C-".$num_resp);

  /*--Caratula -------------------------*/
    $Caratula=$xml->createElement("Caratula");
    $Caratula=$raiz->appendChild($Caratula); 
    $Caratula->setAttribute("version", "1.0");
	 
    $RutResponde=$xml->createElement("RutResponde", $empresa_rut);
    $RutResponde=$Caratula->appendChild($RutResponde); 
  $txtrut = str_replace('.', '', $txtrut);
	$RutRecibe=$xml->createElement("RutRecibe", $txtrut);
    $RutRecibe=$Caratula->appendChild($RutRecibe); 
	
	$IdRespuesta=$xml->createElement("IdRespuesta", $num_resp);
    $IdRespuesta=$Caratula->appendChild($IdRespuesta);

	$NroDetalles=$xml->createElement("NroDetalles", "1");
    $NroDetalles=$Caratula->appendChild($NroDetalles);
	
    $TmstFirmaResp=$xml->createElement("TmstFirmaResp", date('Y-m-d').'T'.date('H:i:s'));
    $TmstFirmaResp=$Caratula->appendChild($TmstFirmaResp);
	
	       
	//***************detalles *********		
	
	  $ResultadoDTE=$xml->createElement("ResultadoDTE");
      $ResultadoDTE=$raiz->appendChild($ResultadoDTE); 
		 
		 $TipoDTE=$xml->createElement("TipoDTE",$lstdcto);
    	 $TipoDTE=$ResultadoDTE->appendChild($TipoDTE);
		
		  $Folio=$xml->createElement("Folio", $txtndcto);
    	 $Folio=$ResultadoDTE->appendChild($Folio);
		 
		$fecha = $fecha[6]."".$fecha[7]."".$fecha[8]."".$fecha[9]."-".$fecha[3]."".$fecha[4]."-".$fecha[0]."".$fecha[1];
	
		  $FchEmis=$xml->createElement("FchEmis", $fecha);
    	 $FchEmis=$ResultadoDTE->appendChild($FchEmis);
		
		  $RUTEmisor=$xml->createElement("RUTEmisor", $txtrut);
    	 $RUTEmisor=$ResultadoDTE->appendChild($RUTEmisor);
		 
		  $RUTRecep=$xml->createElement("RUTRecep", $empresa_rut);
    	 $RUTRecep=$ResultadoDTE->appendChild($RUTRecep);		
		 
		  $MntTotal=$xml->createElement("MntTotal", $txttotal);
    	 $MntTotal=$ResultadoDTE->appendChild($MntTotal);
		
		  $CodEnvio=$xml->createElement("CodEnvio", $num_resp);
    	 $CodEnvio=$ResultadoDTE->appendChild($CodEnvio);
		 
		 $EstadoDTE=$xml->createElement("EstadoDTE", 0);
    	 $EstadoDTE=$ResultadoDTE->appendChild($EstadoDTE);
		 		
		 $EstadoDTEGlosa=$xml->createElement("EstadoDTEGlosa","ACEPTADO OK");
    	 $EstadoDTEGlosa=$ResultadoDTE->appendChild($EstadoDTEGlosa);
	
	 
	
/*guardar xml--------------------------------*/ 
$archivo_x= "R_C_".$nombre_xml;
$archivo="../LibFE/DOC/ORIGINAL/".$archivo_x;

 $xml->formatOut=true;
 $strings_xml=$xml->saveXML(); 


if($xml->save($archivo)) 
  {
subirArchivo($archivo_x, $ip_empresa, $id_empresa, $sitio_empresa);	// cargar archivo
  echo("Termino de crear el ".$archivo); 
  }
 else
 {   echo("No se puede guardar el ".$archivo); }

 
 ?>
 <title>Recepcion Comercial XML</title>
 
 <script language="javascript">
   
 window.top.open('','_parent','');window.top.close();	


</script>
